use std::cell::RefCell;
use std::rc::Rc;

fn main() {
    let mut x = 5;
    let y = &mut x;

    *y = 10;
    println!("y: {}", y);
    drop(y);
    println!("x: {}", x);
    
    let a = Rc::new(RefCell::new(5));
    let b = Rc::clone(&a);

    *b.borrow_mut() += 10;
    println!("a: {:?}, b: {:?}", a, b);
}
